package com.prolog.cs.biz.inbound.service.rcv;

import com.prolog.cs.biz.inbound.dto.PageParam;
import com.prolog.cs.biz.inbound.dto.rcv.RcvHeadersPicDTO;
import com.prolog.framework.authority.core.dto.UserDTO;
import com.prolog.framework.core.pojo.Page;

import java.util.List;

/**
 * @Description
 * @Date 2021-03-24
 */

public interface RcvHeadersPicService {

	/**
	 * @Description
	 * @Date 2021-03-24 add RcvHeadersPicDTO
	 */
	public Object add(RcvHeadersPicDTO rcvHeadersPicDTO);

	/**
	 * @Description
	 * @Date 2021-03-24 edit RcvHeadersPicDTO
	 */
	public Object edit(String pkId, RcvHeadersPicDTO rcvHeadersPicDTO);

	/**
	 * @Description
	 * @Date 2021-03-24 delete RcvHeadersPicDTO
	 */
	public Object deletePkId(String pkId);

	/**
	 * @Description
	 * @Date 2021-03-24 delete RcvHeadersPicDTO
	 */
	public Object delIds(List<String> pkIdList);

	/**
	 * @Description
	 * @Date 2021-03-24 page condition search RcvHeadersPicDTO
	 */
	public Page<RcvHeadersPicDTO> findList(RcvHeadersPicDTO rcvHeadersPicDTO, PageParam pageParam);

	/**
	 * @Description
	 * @Date 2021-03-24 batchAdd RcvHeadersPicDTO
	 */
	public Object batchAdd(List<RcvHeadersPicDTO> rcvHeadersPicDTOList);

	/**
	 * @Description
	 * @Date 2021-03-24 batchEdit RcvHeadersPicDTO
	 */
	public Object batchEdit(List<RcvHeadersPicDTO> rcvHeadersPicDTOList);

	/**
	 * @Description
	 * @Date 2021-03-24 condition search all RcvHeadersPicDTO
	 */
	public List<RcvHeadersPicDTO> findAll(RcvHeadersPicDTO rcvHeadersPicDTO);

	/**
	 * @Description
	 * @Date 2021-03-24 findOne RcvHeadersPicDTO
	 */
	public RcvHeadersPicDTO findByPkId(String pkId);

	public Object batchAdd(List<RcvHeadersPicDTO> rcvHeadersPicDTOList, String masterId, UserDTO userDTO);
}
